snd_pcm_playback_ready
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_playback_ready — check whether the playback buffer is available

## Synopsis

`int snd_pcm_playback_ready (` | struct snd_pcm_substream * | substream`)`;

## Arguments

`substream`

  the pcm substream instance

## Description

Checks whether enough free space is available on the playback buffer.

Returns non-zero if available, or zero if not.

Prev | Up | Next
unregister_sound_dsp | Home | snd_pcm_capture_ready